Page MenuHomePhabricator

arc shell-complete gives error when out of workspace
Closed, ResolvedPublic

Description

$ arc shell-complete --trace
libphutil loaded from '/home/avive/devtools/libphutil/src'.
arcanist loaded from '/home/avive/devtools/arcanist/src'.
Config: Reading user configuration file "/home/avive/.arcrc"...
Config: Did not find system configuration at "/etc/arcconfig".
Working Copy: No candidate locations for .arcconfig from this working directory.
Working Copy: Path "/home/avive/devtools" is not in any working copy.
Working Copy: No candidate locations for .arcconfig from this working directory.
Working Copy: Path "/home/avive/devtools" is not in any working copy.

[2015-06-15 20:37:25] EXCEPTION: (InvalidArgumentException) Argument 1 passed to idx() must be of the type array, null given, called in /home/avive/devtools/arcanist/src/workflow/ArcanistWorkflow.php on line 616 and defined at [<phutil>/src/error/PhutilErrorHandler.php:200]
arcanist(head=master, ref.master=9a7c4d87a850, custom=1), phutil(head=master, ref.master=3b4da3f33153)
  #0 PhutilErrorHandler::handleError(integer, string, string, integer, array) called at [<phutil>/src/utils/utils.php:36]
  #1 idx(NULL, string, NULL) called at [<arcanist>/src/workflow/ArcanistWorkflow.php:616]
  #2 ArcanistWorkflow::getArgument(string) called at [<arcanist>/src/workflow/ArcanistDiffWorkflow.php:443]
  #3 ArcanistDiffWorkflow::isRawDiffSource() called at [<arcanist>/src/workflow/ArcanistDiffWorkflow.php:54]
  #4 ArcanistDiffWorkflow::requiresWorkingCopy() called at [<arcanist>/src/workflow/ArcanistShellCompleteWorkflow.php:87]
  #5 ArcanistShellCompleteWorkflow::run() called at [<arcanist>/scripts/arcanist.php:382]

Event Timeline

avivey updated the task description. (Show Details)Jun 16 2015, 3:38 AM
avivey added subscribers: avivey, jdloft.
avivey created this task.
avivey raised the priority of this task from to Needs Triage.

Works for me

jdloft closed this task as Resolved.Jun 19 2015, 2:24 AM
avivey reopened this task as Open.Jun 19 2015, 2:27 AM

hasn't actually landed yet.

hasn't actually landed yet.

Ah, stupid mistake on my part. I ran shell-completion in a working directory without even knowing I did.